jQuery(document).ready(function ($) {

    // Each on all video
    $.each($('video'), function () {

        let This = $(this);
        let Src = this.src;

        // Exclude video
        if (This.parents('.ytpl-render').length > 0) return true;

        // wp-block
        if (This.parents('.wp-block-video').length > 0) {

            let ajaxData = {
                nonce: VPP_LOCALIZE.Nonce,
                action: 'vpp_auto_video_change',
                src: Src,
                caption: This.parents('.wp-block-video').find('figcaption').html()
            }

            $.ajax({
                type: "POST",
                url: VPP_LOCALIZE.AjaxUrl,
                data: ajaxData,
                beforeSend: function () {
                },
                complete: function () {
                },
                success: function (resp) {

                    This.parents('.wp-block-video').replaceWith(resp);
                    $(document).VPP_GENERATE()

                },
                timeout: 10000
            });

            return true;

        }

        // any video change
        if (VPP_LOCALIZE.HardChange === 'yes') {

            let ajaxData = {
                nonce: VPP_LOCALIZE.Nonce,
                action: 'vpp_auto_video_change',
                src: Src,
                caption: ''
            }

            $.ajax({
                type: "POST",
                url: VPP_LOCALIZE.AjaxUrl,
                data: ajaxData,
                beforeSend: function () {
                },
                complete: function () {
                },
                success: function (resp) {

                    This.replaceWith(resp);
                    $(document).VPP_GENERATE()

                },
                timeout: 10000
            });

        }

    });

});