<?php


class VPP_SHORTCODE {

	/**
	 * YTPL_PLAYER_SHORTCODE constructor.
	 */
	public function __construct() {

		add_shortcode( 'vpp_player', array( $this, 'Player' ) );

	}

	/**
	 * Player
	 *
	 * @param $attrs
	 *
	 * @return mixed
	 * @version 1.0.0
	 *
	 */
	public function Player( $attrs ) {

		$attrs = shortcode_atts( array(
			'id' => null,
		), $attrs );

		$skinName = strtoupper( VPP::$setting->Player_Template() );
		$skin = 'VPP_SKIN_' . ( empty( $skinName ) ? 'YOUTUBE' : $skinName );

		$youtube = new $skin( 'vpp', $attrs['id'], $attrs );

		$out = $youtube->_before_wrapper();
		$out .= $youtube->Player();
		$out .= $youtube->_after_wrapper();

		return $out;

	}

}