<?php

/** SECURITY */
defined( 'ABSPATH' ) || exit();

?>

<div class="ytpl-left-nav">
    <div>
        <div class="ytpl-thumbnail">
			<?php

			$site_logo = '';
			$custom_logo_id = get_theme_mod( 'custom_logo' );
			if ( $custom_logo_id ) {
				$image = wp_get_attachment_image_src( $custom_logo_id, 'full' );
				$site_logo = $image[0];
			}

			?>
            <div class="img" style="background-image:url(<?php echo esc_url( $site_logo ); ?>)"></div>
            <div><?php echo __( 'Your Studio', VPP_TEXT_DOMAIN ); ?></div>
            <span><?php echo get_bloginfo( 'name' ); ?></span>
        </div>
    </div>
    <div>
        <?php

        /** vpp studio menu */
        do_action('vpp_studio_menu');

        ?>
    </div>
    <div>
        <div class="ytpl-nav-item" data-popup="setting" id="ytpl_show_popup_setting">
			<?php echo VPP_ICON::$setting; ?>
            <span><?php echo __( 'Settings', VPP_TEXT_DOMAIN ); ?></span>
        </div>
        <div class="ytpl-nav-item" data-popup="about_me" id="ytpl_show_popup_about_me">
			<?php echo VPP_ICON::$support; ?>
            <span><?php echo __( 'About IdeaLand', VPP_TEXT_DOMAIN ); ?></span>
        </div>
    </div>
</div>
