<?php


class VPP_ICON {

	public static $create =
		'<div class="ytpl-icon ytpl-icon-create">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4zM14 13h-3v3H9v-3H6v-2h3V8h2v3h3v2z"></path>
                </g>
            </svg>
       	</div>';

	public static $help =
		'<div class="ytpl-icon ytpl-icon-help">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M11 18h2v-2h-2v2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4z"></path>
                </g>
            </svg>
       	</div>';

	public static $search =
		'<div class="ytpl-icon ytpl-icon-help">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
	            <g>
	                <path d="M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"></path>
	            </g>
	        </svg>
       	</div>';

	public static $video =
		'<div class="ytpl-icon ytpl-icon-video">
            <svg style="pointer-events: none; display: block; width: 100%; height: 100%;">
	            <g>
	                <path d="M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-8 12.5v-9l6 4.5-6 4.5z"></path>
	            </g>
	        </svg>
       	</div>';

	public static $playlist =
		'<div class="ytpl-icon ytpl-icon-playlist">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19 9H2v2h17V9zm0-4H2v2h17V5zM2 15h13v-2H2v2zm15-2v6l5-3-5-3z"></path>
                </g>
            </svg>
       	</div>';

	public static $star =
		'<div class="ytpl-icon ytpl-icon-star">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z"></path>
                </g>
            </svg>
       	</div>';

	public static $subtitle =
		'<div class="ytpl-icon ytpl-icon-subtitle">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zM4 12h4v2H4v-2zm10 6H4v-2h10v2zm6 0h-4v-2h4v2zm0-4H10v-2h10v2z"></path>
                </g>
            </svg>
       	</div>';

	public static $setting =
		'<div class="ytpl-icon ytpl-icon-setting">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19.43 12.98c.04-.32.07-.64.07-.98s-.03-.66-.07-.98l2.11-1.65c.19-.15.24-.42.12-.64l-2-3.46c-.12-.22-.39-.3-.61-.22l-2.49 1c-.52-.4-1.08-.73-1.69-.98l-.38-2.65C14.46 2.18 14.25 2 14 2h-4c-.25 0-.46.18-.49.42l-.38 2.65c-.61.25-1.17.59-1.69.98l-2.49-1c-.23-.09-.49 0-.61.22l-2 3.46c-.13.22-.07.49.12.64l2.11 1.65c-.04.32-.07.65-.07.98s.03.66.07.98l-2.11 1.65c-.19.15-.24.42-.12.64l2 3.46c.12.22.39.3.61.22l2.49-1c.52.4 1.08.73 1.69.98l.38 2.65c.03.24.24.42.49.42h4c.25 0 .46-.18.49-.42l.38-2.65c.61-.25 1.17-.59 1.69-.98l2.49 1c.23.09.49 0 .61-.22l2-3.46c.12-.22.07-.49-.12-.64l-2.11-1.65zM12 15.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"></path>
                </g>
            </svg>
       	</div>';

	public static $support =
		'<div class="ytpl-icon ytpl-icon-support">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 12h-2v-2h2v2zm0-4h-2V6h2v4z"></path>
                </g>
            </svg>
       	</div>';

	public static $eye =
		'<div class="ytpl-icon ytpl-icon-eye">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M12 4.5C7 4.5 2.73 7.61 1 12c1.73 4.39 6 7.5 11 7.5s9.27-3.11 11-7.5c-1.73-4.39-6-7.5-11-7.5zM12 17c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-8c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"></path>
                </g>
            </svg>
       	</div>';

	public static $nav_end =
		'<div class="ytpl-icon ytpl-icon-nav-end">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M5.59 7.41L10.18 12l-4.59 4.59L7 18l6-6-6-6zM16 6h2v12h-2z"></path>
                </g>
            </svg>
       	</div>';

	public static $nav_next =
		'<div class="ytpl-icon ytpl-icon-nav-next">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z"></path>
                </g>
            </svg>
       	</div>';

	public static $nav_prev =
		'<div class="ytpl-icon ytpl-icon-nav-prev">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z"></path>
                </g>
            </svg>
       	</div>';

	public static $nav_start =
		'<div class="ytpl-icon ytpl-icon-nav-start">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M18.41 16.59L13.82 12l4.59-4.59L17 6l-6 6 6 6zM6 6h2v12H6z"></path>
                </g>
            </svg>
       	</div>';

	public static $x =
		'<div class="ytpl-icon ytpl-icon-x">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"></path>
                </g>
            </svg>
       	</div>';

	public static $add_image =
		'<div class="ytpl-icon ytpl-icon-add-image">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g viewBox="0 0 24 24">
                    <path d="M19 7v2.99s-1.99.01-2 0V7h-3s.01-1.99 0-2h3V2h2v3h3v2h-3zm-3 4V8h-3V5H5c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2v-8h-3zM5 19l3-4 2 3 3-4 4 5H5z"></path>
                    <path d="M0 0h24v24H0z" fill="none"></path>
                </g>
            </svg>
       	</div>';

	public static $trash =
		'<div class="ytpl-icon ytpl-icon-trash">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM19 4h-3.5l-1-1h-5l-1 1H5v2h14V4z"></path>
                </g>
            </svg>
       	</div>';

	public static $plus =
		'<div class="ytpl-icon ytpl-icon-plus">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z"></path>
                </g>
            </svg>
       	</div>';

	public static $edit =
		'<div class="ytpl-icon ytpl-icon-edit">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"></path>
                </g>
            </svg>
       	</div>';

	public static $youtube =
		'<div class="ytpl-icon ytpl-icon-youtube">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M21.58 7.19c-.23-.86-.91-1.54-1.77-1.77C18.25 5 12 5 12 5s-6.25 0-7.81.42c-.86.23-1.54.91-1.77 1.77C2 8.75 2 12 2 12s0 3.25.42 4.81c.23.86.91 1.54 1.77 1.77C5.75 19 12 19 12 19s6.25 0 7.81-.42c.86-.23 1.54-.91 1.77-1.77C22 15.25 22 12 22 12s0-3.25-.42-4.81zM10 15V9l5.2 3-5.2 3z"></path>
                </g>
            </svg>
       	</div>';

	public static $comment =
		'<div class="ytpl-icon ytpl-icon-comment">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M20 2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14l4 4V4c0-1.1-.9-2-2-2zm-2 12H6v-2h12v2zm0-3H6V9h12v2zm0-3H6V6h12v2z"></path>
                </g>
            </svg>
       	</div>';

	public static $analyze =
		'<div class="ytpl-icon ytpl-icon-analyze">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 17H7v-7h2v7zm4 0h-2V7h2v10zm4 0h-2v-4h2v4z"></path>
                </g>
            </svg>
       	</div>';

	public static $link =
		'<div class="ytpl-icon ytpl-icon-link">
            <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">
                <g>
                    <path d="M19 19H5V5h7V3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2v-7h-2v7zM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7z" ></path>
                </g>
            </svg>
       	</div>';

	public static $share =
		'<div class="ytpl-icon ytpl-icon-share">
            <svg viewBox="0 0 36 36">
            	<path d="m 20.20,14.19 0,-4.45 7.79,7.79 -7.79,7.79 0,-4.56 C 16.27,20.69 12.10,21.81 9.34,24.76 8.80,25.13 7.60,27.29 8.12,25.65 9.08,21.32 11.80,17.18 15.98,15.38 c 1.33,-0.60 2.76,-0.98 4.21,-1.19 z"></path>
            </svg>
       	</div>';

	public static $clock =
		'<div class="ytpl-icon ytpl-icon-clock">
            <svg viewBox="0 0 36 36">
                <path d="M18,8 C12.47,8 8,12.47 8,18 C8,23.52 12.47,28 18,28 C23.52,28 28,23.52 28,18 C28,12.47 23.52,8 18,8 L18,8 Z M16,19.02 L16,12.00 L18,12.00 L18,17.86 L23.10,20.81 L22.10,22.54 L16,19.02 Z"></path>
            </svg>
       	</div>';

	public static $info =
		'<div class="ytpl-icon ytpl-icon-info">
            <svg viewBox="0 0 36 36">
                <path d="M18,8 C12.47,8 8,12.47 8,18 C8,23.52 12.47,28 18,28 C23.52,28 28,23.52 28,18 C28,12.47 23.52,8 18,8 L18,8 Z M17,16 L19,16 L19,24 L17,24 L17,16 Z M17,12 L19,12 L19,14 L17,14 L17,12 Z"></path>
            </svg>
       	</div>';

	public static $play =
		'<div class="ytpl-icon ytpl-icon-play">
            <svg viewBox="0 0 36 36">
                <path d="M 12,26 18.5,22 18.5,14 12,10 z M 18.5,22 25,18 25,18 18.5,14 z"></path>
            </svg>
       	</div>';

	public static $pause =
		'<div class="ytpl-icon ytpl-icon-pause">
            <svg viewBox="0 0 36 36">
                <path d="M 12,26 16,26 16,10 12,10 z M 21,26 25,26 25,10 21,10 z"></path>
            </svg>
       	</div>';

	public static $next_v =
		'<div class="ytpl-icon ytpl-icon-next-v">
            <svg viewBox="0 0 36 36">
                <path d="M 12,24 20.5,18 12,12 V 24 z M 22,12 v 12 h 2 V 12 h -2 z"></path>
            </svg>
       	</div>';

	public static $cc =
		'<div class="ytpl-icon ytpl-icon-cc">
            <svg viewBox="0 0 36 36">
                <path d="M11,11 C9.89,11 9,11.9 9,13 L9,23 C9,24.1 9.89,25 11,25 L25,25 C26.1,25 27,24.1 27,23 L27,13 C27,11.9 26.1,11 25,11 L11,11 Z M17,17 L15.5,17 L15.5,16.5 L13.5,16.5 L13.5,19.5 L15.5,19.5 L15.5,19 L17,19 L17,20 C17,20.55 16.55,21 16,21 L13,21 C12.45,21 12,20.55 12,20 L12,16 C12,15.45 12.45,15 13,15 L16,15 C16.55,15 17,15.45 17,16 L17,17 L17,17 Z M24,17 L22.5,17 L22.5,16.5 L20.5,16.5 L20.5,19.5 L22.5,19.5 L22.5,19 L24,19 L24,20 C24,20.55 23.55,21 23,21 L20,21 C19.45,21 19,20.55 19,20 L19,16 C19,15.45 19.45,15 20,15 L23,15 C23.55,15 24,15.45 24,16 L24,17 L24,17 Z"></path>
            </svg>
       	</div>';

	public static $setting_player =
		'<div class="ytpl-icon ytpl-icon-setting-player">
            <svg viewBox="0 0 36 36">
                <path d="m 23.94,18.78 c .03,-0.25 .05,-0.51 .05,-0.78 0,-0.27 -0.02,-0.52 -0.05,-0.78 l 1.68,-1.32 c .15,-0.12 .19,-0.33 .09,-0.51 l -1.6,-2.76 c -0.09,-0.17 -0.31,-0.24 -0.48,-0.17 l -1.99,.8 c -0.41,-0.32 -0.86,-0.58 -1.35,-0.78 l -0.30,-2.12 c -0.02,-0.19 -0.19,-0.33 -0.39,-0.33 l -3.2,0 c -0.2,0 -0.36,.14 -0.39,.33 l -0.30,2.12 c -0.48,.2 -0.93,.47 -1.35,.78 l -1.99,-0.8 c -0.18,-0.07 -0.39,0 -0.48,.17 l -1.6,2.76 c -0.10,.17 -0.05,.39 .09,.51 l 1.68,1.32 c -0.03,.25 -0.05,.52 -0.05,.78 0,.26 .02,.52 .05,.78 l -1.68,1.32 c -0.15,.12 -0.19,.33 -0.09,.51 l 1.6,2.76 c .09,.17 .31,.24 .48,.17 l 1.99,-0.8 c .41,.32 .86,.58 1.35,.78 l .30,2.12 c .02,.19 .19,.33 .39,.33 l 3.2,0 c .2,0 .36,-0.14 .39,-0.33 l .30,-2.12 c .48,-0.2 .93,-0.47 1.35,-0.78 l 1.99,.8 c .18,.07 .39,0 .48,-0.17 l 1.6,-2.76 c .09,-0.17 .05,-0.39 -0.09,-0.51 l -1.68,-1.32 0,0 z m -5.94,2.01 c -1.54,0 -2.8,-1.25 -2.8,-2.8 0,-1.54 1.25,-2.8 2.8,-2.8 1.54,0 2.8,1.25 2.8,2.8 0,1.54 -1.25,2.8 -2.8,2.8 l 0,0 z"></path>
            </svg>
       	</div>';

	public static $volume =
		'<div class="ytpl-icon ytpl-icon-volume">
            <svg viewBox="0 0 36 36">
                <path d="M8,21 L12,21 L17,26 L17,10 L12,15 L8,15 L8,21 Z M19,14 L19,22 C20.48,21.32 21.5,19.77 21.5,18 C21.5,16.26 20.48,14.74 19,14 ZM19,11.29 C21.89,12.15 24,14.83 24,18 C24,21.17 21.89,23.85 19,24.71 L19,26.77 C23.01,25.86 26,22.28 26,18 C26,13.72 23.01,10.14 19,9.23 L19,11.29 Z"></path>
                <path d="M 9.25,9 7.98,10.27 24.71,27 l 1.27,-1.27 Z" class="ytpl-mute" style="display: none"></path>
            </svg>
       	</div>';

	public static $loop =
		'<div class="ytpl-icon ytpl-icon-loop">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M7 7h10v3l4-4-4-4v3H5v6h2V7zm10 10H7v-3l-4 4 4 4v-3h12v-6h-2v4z"></path>
                </g>
            </svg>
       	</div>';

	public static $shuffle =
		'<div class="ytpl-icon ytpl-icon-shuffle">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M10.59 9.17L5.41 4 4 5.41l5.17 5.17 1.42-1.41zM14.5 4l2.04 2.04L4 18.59 5.41 20 17.96 7.46 20 9.5V4h-5.5zm.33 9.41l-1.41 1.41 3.13 3.13L14.5 20H20v-5.5l-2.04 2.04-3.13-3.13z"></path>
                </g>
            </svg>
       	</div>';

	public static $lock =
		'<div class="ytpl-icon ytpl-icon-lock">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M18 8h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm-6 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm3.1-9H8.9V6c0-1.71 1.39-3.1 3.1-3.1 1.71 0 3.1 1.39 3.1 3.1v2z"></path>
                </g>
            </svg>
       	</div>';

	public static $nav_top =
		'<div class="ytpl-icon ytpl-icon-nav-top">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z"></path>
                </g>
            </svg>
       	</div>';

	public static $embed =
		'<div class="ytpl-icon ytpl-icon-embed">
            <svg viewBox="0 0 36 36">
                <path d="M14.1 24.9L7.2 18.0l6.9-6.9L12.0 9.0l-9.0 9.0 9.0 9.0 2.1-2.1zm7.8 .0l6.9-6.9-6.9-6.9L24.0 9.0l9.0 9.0-9.0 9.0-2.1-2.1z"></path>
            </svg>
       	</div>';

	public static $link_2 =
		'<div class="ytpl-icon ytpl-icon-link-2">
            <svg viewBox="0 0 36 36">
                <path d="M5.85 18.0c0.0-2.56 2.08-4.65 4.65-4.65h6.0V10.5H10.5c-4.14 .0-7.5 3.36-7.5 7.5s3.36 7.5 7.5 7.5h6.0v-2.85H10.5c-2.56 .0-4.65-2.08-4.65-4.65zM12.0 19.5h12.0v-3.0H12.0v3.0zm13.5-9.0h-6.0v2.85h6.0c2.56 .0 4.65 2.08 4.65 4.65s-2.08 4.65-4.65 4.65h-6.0V25.5h6.0c4.14 .0 7.5-3.36 7.5-7.5s-3.36-7.5-7.5-7.5z"></path>
            </svg>
       	</div>';

	public static $info_2 =
		'<div class="ytpl-icon ytpl-icon-info-2">
            <svg viewBox="0 0 48 48">
                <path d="M0 0h48v48H0z" fill="none"></path>
                <path d="M22 34h4V22h-4v12zm2-30C12.95 4 4 12.95 4 24s8.95 20 20 20 20-8.95 20-20S35.05 4 24 4zm0 36c-8.82 0-16-7.18-16-16S15.18 8 24 8s16 7.18 16 16-7.18 16-16 16zm-2-22h4v-4h-4v4z"></path>
            </svg>
       	</div>';

	public static $full_screen =
		'<div class="ytpl-icon ytpl-icon-full-screen">
            <svg viewBox="0 0 36 36">
                <g>
                    <path d="m 10,16 2,0 0,-4 4,0 0,-2 L 10,10 l 0,6 0,0 z"></path>
                </g>
                <g>
                    <path d="m 20,10 0,2 4,0 0,4 2,0 L 26,10 l -6,0 0,0 z"></path>
                </g>
                <g>
                    <path d="m 24,24 -4,0 0,2 L 26,26 l 0,-6 -2,0 0,4 0,0 z"></path>
                </g>
                <g>
                    <path d="M 12,20 10,20 10,26 l 6,0 0,-2 -4,0 0,-4 0,0 z"></path>
                </g>
            </svg>
       	</div>';

	public static $like =
		'<div class="ytpl-icon ytpl-icon-like">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M1 21h4V9H1v12zm22-11c0-1.1-.9-2-2-2h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-1.91l-.01-.01L23 10z"></path>
                </g>
            </svg>
       	</div>';

	public static $dislike =
		'<div class="ytpl-icon ytpl-icon-dislike">
            <svg viewBox="0 0 24 24">
                <g>
                    <path d="M15 3H6c-.83 0-1.54.5-1.84 1.22l-3.02 7.05c-.09.23-.14.47-.14.73v1.91l.01.01L1 14c0 1.1.9 2 2 2h6.31l-.95 4.57-.03.32c0 .41.17.79.44 1.06L9.83 23l6.59-6.59c.36-.36.58-.86.58-1.41V5c0-1.1-.9-2-2-2zm4 0v12h4V3h-4z"></path>
                </g>
            </svg>
       	</div>';

}