<?php


class VPP_AJAX_VIDEO_DELETE_GROUP {

	public function __construct() {

		add_action( 'wp_ajax_ytpl_delete_group_video', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_ytpl_delete_group_video', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();


		$request = isset( $_REQUEST['config'] ) ? sanitize_text_field( $_REQUEST['config'] ) : [];
		$config = json_decode( stripslashes( $request ) );

		VPP_DATABASE::Delete(
			'vpp_video',
			VPP_DATABASE::Where(
				[
					'condition' => [
						[
							'column'   => 'id',
							'value'    => $config,
							'operator' => 'IN'
						]
					]
				]
			)
		);

		/** do_action vpp studio ajax video group delete */
		do_action( 'vpp_studio_ajax_video_group_delete' );

		die;

	}

}

new VPP_AJAX_VIDEO_DELETE_GROUP();